import { ActivatedRouteSnapshot, RouteReuseStrategy } from '@angular/router';
export declare class NcRouteStrategy implements RouteReuseStrategy {
    static useReuse: boolean;
    static ignoreUrl: string;
    static handleMap: Map<string, any>;
    static getUrl(route: ActivatedRouteSnapshot): string;
    static isValidRoute(route: ActivatedRouteSnapshot): boolean;
    shouldReuseRoute(future: ActivatedRouteSnapshot, curr: ActivatedRouteSnapshot): boolean;
    shouldAttach(route: ActivatedRouteSnapshot): boolean;
    retrieve(route: ActivatedRouteSnapshot): any;
    shouldDetach(route: ActivatedRouteSnapshot): boolean;
    store(route: ActivatedRouteSnapshot, handle: any): void;
}
